package com.jz.dmp.modules.model;

import java.io.Serializable;
import java.util.Date;

/**
 * 项目表字段(DmpTableColumn)实体类
 *
 * @author Bellamy
 * @since 2020-12-23 16:34:56
 */
public class DmpTableColumn implements Serializable {
    private static final long serialVersionUID = 398656823482829399L;
    /**
     * ID
     */
    private Integer id;
    /**
     * 字段
     */
    private String field;
    /**
     * 类型
     */
    private Integer type;
    /**
     * 大小
     */
    private Integer size;
    /**
     * 经度
     */
    private Integer scale;
    /**
     * 是否可为空
     */
    private String nullable;
    /**
     * 默认值
     */
    private String defaultValue;
    /**
     * 模式
     */
    private String mode;
    /**
     * 数据状态
     */
    private String dataStatus;
    /**
     * 创建用户ID
     */
    private String createUserId;
    /**
     * 数据创建时间
     */
    private Date createTime;
    /**
     * 创建用户ID
     */
    private String updateUserId;
    /**
     * 数据更新时间
     */
    private Date updateTime;
    /**
     * table ID
     */
    private Integer tableId;

    private String comment;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getField() {
        return field;
    }

    public void setField(String field) {
        this.field = field;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getSize() {
        return size;
    }

    public void setSize(Integer size) {
        this.size = size;
    }

    public Integer getScale() {
        return scale;
    }

    public void setScale(Integer scale) {
        this.scale = scale;
    }

    public String getNullable() {
        return nullable;
    }

    public void setNullable(String nullable) {
        this.nullable = nullable;
    }

    public String getDefaultValue() {
        return defaultValue;
    }

    public void setDefaultValue(String defaultValue) {
        this.defaultValue = defaultValue;
    }

    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }

    public String getDataStatus() {
        return dataStatus;
    }

    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus;
    }

    public String getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(String updateUserId) {
        this.updateUserId = updateUserId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getTableId() {
        return tableId;
    }

    public void setTableId(Integer tableId) {
        this.tableId = tableId;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

}