package com.jz.dmp.modules.dao.sys;

import java.util.List;
import java.util.Map;

import com.jz.dmp.modules.controller.sys.bean.DmpProjectRoleDto;
import com.jz.dmp.modules.model.DmpProjectRole;

/**项目角色关系表 mapper
 * @author ybz
 *
 */
public interface DmpProjectRoleMapper {
	
	/**新增项目角色关系表
     * @param dmpProjectRole
     * @return
     * @throws Exception
     */
    public int insert(DmpProjectRole dmpProjectRole)throws Exception;

    /**选择性增加项目角色关系表
     * @param dmpProjectRole
     * @return
     * @throws Exception
     */
    public int insertSelective(DmpProjectRole dmpProjectRole)throws Exception;
    
    /**主键修改项目角色关系表
     * @param dmpProjectRole
     * @return
     * @throws Exception
     */
    public int updateByPrimaryKey(DmpProjectRole dmpProjectRole)throws Exception;

    /**选择性修改项目角色关系表
     * @param dmpProjectRole
     * @return
     * @throws Exception
     */
    public int updateByPrimaryKeySelective(DmpProjectRole dmpProjectRole)throws Exception;
    
    /**主键查询项目角色关系表
     * @param dmpProjectRoleId
     * @return
     * @throws Exception
     */
    public DmpProjectRole selectByPrimaryKey(Integer dmpProjectRoleId)throws Exception;

    /**主键删除项目角色关系表
     * @param dmpProjectRoleId
     * @return
     * @throws Exception
     */
    public int deleteByPrimaryKey(Integer dmpProjectRoleId)throws Exception;

	/**条件查询项目角色关系表
	 * @param param
	 * @return
	 * @throws Exception
	 */
	public List<DmpProjectRoleDto> findList(Map<String, Object> param)throws Exception;

	/**主键查询项目角色关系表
	 * @param dmpProjectRoleId
	 * @return
	 * @throws Exception
	 */
	public DmpProjectRoleDto findById(Integer dmpProjectRoleId)throws Exception;

	/**批量新增项目角色关系表
	 * @param dmpProjectRoles
	 * @throws Exception
	 */
	public void insertBatch(List<DmpProjectRole> dmpProjectRoles)throws Exception;
	
}
