package com.jz.dmp.modules.model;

import java.io.Serializable;
import java.util.Date;

/**
 * 项目表信息(DmpTable)实体类
 *
 * @author makejava
 * @since 2020-12-23 15:32:53
 */
public class DmpTable implements Serializable {
    private static final long serialVersionUID = 371273010310876339L;
    /**
     * ID
     */
    private Integer id;
    /**
     * 表名
     */
    private String name;
    /**
     * 中文名
     */
    private String cnName;
    /**
     * 是否隐藏
     */
    private String isShow;
    /**
     * 负责人
     */
    private String ownerUser;
    /**
     * 描述
     */
    private String tableDesc;
    /**
     * 物理存储量
     */
    private Integer storeSize;
    /**
     * 生命周期
     */
    private Integer period;
    /**
     * 是否分区表
     */
    private String isPartition;
    /**
     * DDL变更时间
     */
    private Date ddlTime;
    /**
     * 数据状态
     */
    private String dataStatus;
    /**
     * 创建用户ID
     */
    private String createUserId;
    /**
     * 数据创建时间
     */
    private Date createTime;
    /**
     * 创建用户ID
     */
    private String updateUserId;
    /**
     * 数据更新时间
     */
    private Date updateTime;
    /**
     * category ID
     */
    private Integer categoryId;

    private String tableMode;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCnName() {
        return cnName;
    }

    public void setCnName(String cnName) {
        this.cnName = cnName;
    }

    public String getIsShow() {
        return isShow;
    }

    public void setIsShow(String isShow) {
        this.isShow = isShow;
    }

    public String getOwnerUser() {
        return ownerUser;
    }

    public void setOwnerUser(String ownerUser) {
        this.ownerUser = ownerUser;
    }

    public String getTableDesc() {
        return tableDesc;
    }

    public void setTableDesc(String tableDesc) {
        this.tableDesc = tableDesc;
    }

    public Integer getStoreSize() {
        return storeSize;
    }

    public void setStoreSize(Integer storeSize) {
        this.storeSize = storeSize;
    }

    public Integer getPeriod() {
        return period;
    }

    public void setPeriod(Integer period) {
        this.period = period;
    }

    public String getIsPartition() {
        return isPartition;
    }

    public void setIsPartition(String isPartition) {
        this.isPartition = isPartition;
    }

    public Date getDdlTime() {
        return ddlTime;
    }

    public void setDdlTime(Date ddlTime) {
        this.ddlTime = ddlTime;
    }

    public String getDataStatus() {
        return dataStatus;
    }

    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus;
    }

    public String getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(String updateUserId) {
        this.updateUserId = updateUserId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(Integer categoryId) {
        this.categoryId = categoryId;
    }

    public String getTableMode() {
        return tableMode;
    }

    public void setTableMode(String tableMode) {
        this.tableMode = tableMode;
    }

}